Bug 197367 - Shell locks up when doing "cd ~username"
Shell locks up when doing "cd ~username"
Status: CLOSED NOTABUG
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-30 12:46 EDT by Ryan Lim
Modified: 2015-01-04 18:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-14 20:16:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Lim 2006-06-30 12:46:08 EDT
Description of problem:
There is a problem when (in the shell) performing a "cd ~username". I get some
sort of object printout and the shell (tcsh-6.13-9) then becomes unusable.
Control-C does not terminate the current process. I have not tested/verified
this with other shells.


Version-Release number of selected component (if applicable):
- Fedora Directory Server 1.0.2
- tcsh-6.13-9

How reproducible:
This happens ocassionally on my setup.

Steps to Reproduce:
1. cd ~user

  
Actual results:
root@snowshoe ~# cd ~username/
0cdc=XXX,dc=YYY,dc=ZZZ
.
 bjectclass
           posixAccountuiusername0iuid
                                      userPassword      uidNumber      
gidNumbehomeDirectory
loginShellgecos
               description
                          objectClass

Shell then becomes unusable.


Expected results:
To change directory to the user (username)'s home directory.

Additional info:
This problem happens ocassionally. I do not know what triggers this.
Comment 1 Rich Megginson 2006-07-18 17:01:47 EDT
Are you sure this is a problem with Fedora DS?  Does this work fine with other
Directory Servers?  Have you verified that your pam/nss/autofs configuration is
correct?
Comment 2 Ryan Lim 2006-08-03 08:30:34 EDT
I have not tried other directory servers, but this much I know: my two identical machines using the same 
directory server, both exhibit the same behavior.

PAM/NSS were configured using system-config-authentication. Automount doesn't use ldap.
Comment 3 Rich Megginson 2008-07-14 20:16:55 EDT
This is not a directory server bug.

Note You need to log in before you can comment on or make changes to this bug.